org.springframework.data.relational.core.sql

## Interface Visitable

All Known Subinterfaces:
  Assignment, Condition, Delete, Expression, Insert, Segment, Select, Update

All Known Implementing Classes:
  AndCondition, AssignValue, AsteriskFromTable, Between, BindMarker, BooleanLiteral, Column, Comparison, Expressions.SimpleExpression, FalseCondition, From, In, Into, IsNull, Join, Like, Literal, MultipleCondition, NestedCondition, Not, NumericLiteral, OrCondition, OrderByField, SelectList, SimpleCondition, SimpleFunction, SimpleSegment, StringLiteral, SubselectExpression, Table, TrueCondition, Values, Where

    public interface Visitable

Interface for implementations that wish to be visited by a `Visitor`.

Since:
  1.1
Author:
  Mark Paluch
See Also:
  `Visitor`

### Method Summary

All Methods Instance Methods Default Methods
`default void` `visit(Visitor visitor)` Accept a `Visitor` visiting this `Visitable` and its nested `Visitable`s if applicable.

### Method Detail

#### visit

    default void visit(Visitor visitor)

Accept a `Visitor` visiting this `Visitable` and its nested `Visitable`s if applicable.

Parameters:
  `visitor` - the visitor to notify, must not be null.